/*
 * Copyright (C) 2002-2013 Michael Koch (tensberg@gmx.net)
 *
 * This file is part of JGloss.
 *
 * JGloss is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JGloss is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JGloss; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package jgloss.ui.download;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.zip.GZIPInputStream;

import jgloss.ui.download.schema.Dictionary;
import jgloss.util.IOUtils;

/**
 * Dictionary unpacker for a single GZip-compressed file.
 */
class GZipUnpacker implements DictionaryUnpacker {

    @Override
    public void unpack(Dictionary dictionary, InputStream sourceStream, OutputStream outStream) throws IOException {
        try (GZIPInputStream gunzipIn = new GZIPInputStream(sourceStream)) {
            IOUtils.copy(gunzipIn, outStream);
        }
    }

}
